<?php

namespace App\Controller\Admin;

use App\Entity\Ville;
use Doctrine\DBAL\Query\QueryBuilder;
use EasyCorp\Bundle\EasyAdminBundle\Config\Action;
use EasyCorp\Bundle\EasyAdminBundle\Config\Actions;
use EasyCorp\Bundle\EasyAdminBundle\Controller\AbstractCrudController;
use EasyCorp\Bundle\EasyAdminBundle\Field\AssociationField;
use EasyCorp\Bundle\EasyAdminBundle\Field\CollectionField;
use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;

class VilleCrudController extends AbstractCrudController
{
    public static function getEntityFqcn(): string
    {
        return Ville::class;
    }

    
    public function configureFields(string $pageName): iterable
    {
        $user=$this->getUser();
        $companyId = $user->getCompany()->getId();
        return [
            TextField::new('abbreviation', 'Abréviation'),
            TextField::new('name', 'Nom'),
        ];
    }
    

    public function configureActions(Actions $actions): Actions
    {
        if ($this->isGranted('ROLE_SUPER_ADMIN')){
            return $actions;
        }else{
            return $actions
            ->disable(Action::NEW, Action::EDIT, Action::DELETE);
        }
    }
}
