<?php

namespace App\Entity;

use App\Repository\ConfortRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: ConfortRepository::class)]
class Confort
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column(length: 255)]
    private ?string $description = null;

    #[ORM\Column(length: 255)]
    private ?string $class = null;

    #[ORM\ManyToMany(targetEntity: Bus::class, inversedBy: 'conforts')]
    private Collection $bus;

    public function __construct()
    {
        $this->bus = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(string $description): static
    {
        $this->description = $description;

        return $this;
    }

    public function getClass(): ?string
    {
        return $this->class;
    }

    public function setClass(string $class): static
    {
        $this->class = $class;

        return $this;
    }

    /**
     * @return Collection<int, Bus>
     */
    public function getBus(): Collection
    {
        return $this->bus;
    }

    public function addBu(Bus $bu): static
    {
        if (!$this->bus->contains($bu)) {
            $this->bus->add($bu);
        }

        return $this;
    }

    public function removeBu(Bus $bu): static
    {
        $this->bus->removeElement($bu);

        return $this;
    }
}
