<?php

namespace App\Entity;

use App\Entity\Traits\TimestampsTrait;
use App\Repository\TarifRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: TarifRepository::class)]
class Tarif
{
    use TimestampsTrait;
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column]
    private ?float $amount = null;

    #[ORM\ManyToOne(inversedBy: 'tarifs')]
    private ?Company $company = null;

    #[ORM\ManyToOne(inversedBy: 'tarif')]
    private ?TypeTarif $typeTarif = null;

    #[ORM\ManyToOne(inversedBy: 'tarifs')]
    private ?Ville $depart = null;

    #[ORM\ManyToOne(inversedBy: 'tarifs')]
    private ?Ville $arrivee = null;

    public function getId(): ?int
    {
        return $this->id;
    }
    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }

    public function getAmount(): ?float
    {
        return $this->amount;
    }

    public function setAmount(float $amount): static
    {
        $this->amount = $amount;

        return $this;
    }

    public function __toString() {
        return $this->name;
    }

    public function getCompany(): ?Company
    {
        return $this->company;
    }

    public function setCompany(?Company $company): static
    {
        $this->company = $company;

        return $this;
    }

    public function getTypeTarif(): ?TypeTarif
    {
        return $this->typeTarif;
    }

    public function setTypeTarif(?TypeTarif $typeTarif): static
    {
        $this->typeTarif = $typeTarif;

        return $this;
    }

    public function getDepart(): ?Ville
    {
        return $this->depart;
    }

    public function setDepart(?Ville $depart): static
    {
        $this->depart = $depart;

        return $this;
    }

    public function getArrivee(): ?Ville
    {
        return $this->arrivee;
    }

    public function setArrivee(?Ville $arrivee): static
    {
        $this->arrivee = $arrivee;

        return $this;
    }
}
