<?php

namespace App\Form;

use App\Entity\Booking;
use App\Entity\Schedule;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;
use Symfony\Component\OptionsResolver\OptionsResolver;

class BookingType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('schedule', EntityType::class, [
                'class'=> Schedule::class,
                'disabled' => true,])
            ->add('dateOfBooking', DateType::class, [
                'widget' => 'single_text',
                'attr' => ['class' => 'js-datepicker', 'type' => 'date'],
                'disabled'=>true,])
            ->add('numberOfSeats')
            ->add('totalAmount', Null, ['disabled'=>true] )
            ->add('company')   
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Booking::class,
        ]);
    }
}
